<?php

namespace Modules\Stock\Rules;

use Helpers\Outil\Roles;

class Rubrique extends BaseRules
{
    /**
     * @return bool
     */
    // @phpcs:ignore
    public function gestion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function nouveauForm(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_RUB_CM');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function nouveau(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_RUB_CM');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function modifierForm(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_RUB_CM');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function modifier(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_RUB_CM');
    }
}
